#
# Conditional build:
%bcond_without	prof	# profiling library
#
%define		pkgname	primitive
Summary:	Primitive memory-related operations
Summary(pl.UTF-8):	Podstawowe operacje związane z pamięcią
Name:		ghc-%{pkgname}
Version:	0.7.0.1
Release:	2
License:	BSD
Group:		Development/Languages
#Source0Download: http://hackage.haskell.org/package/primitive
Source0:	http://hackage.haskell.org/package/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	5d8cdb607957daf765240201002ff003
URL:		http://hackage.haskell.org/package/primitive
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-base >= 4
BuildRequires:	ghc-ghc-prim
%if %{with prof}
BuildRequires:	ghc-prof >= 6.12.3
BuildRequires:	ghc-base-prof >= 4
BuildRequires:	ghc-ghc-prim-prof
%endif
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ghc-base >= 4
Requires:	ghc-ghc-prim
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddock files
%define		_noautocompressdoc	*.haddock

%description
This package provides various primitive memory-related operations.

%description -l pl.UTF-8
Ten pakiet udostępnia różne podstawowe operacje związane z pamięcią.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ghc-base-prof >= 4
Requires:	ghc-ghc-prim-prof

%description prof
Profiling %{pkgname} library for GHC. Should be installed when
GHC's profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%package doc
Summary:	HTML documentation for ghc %{pkgname} package
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}
Group:		Documentation

%description doc
HTML documentation for ghc %{pkgname} package.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	%{?with_prof:--enable-library-profiling} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc LICENSE
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSprimitive-%{version}-*.so
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSprimitive-%{version}-*.a
%exclude %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSprimitive-%{version}-*_p.a
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Control
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Control/Monad
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Control/Monad/Primitive.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Control/Monad/Primitive.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/Internal
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/Internal/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/Internal/*.dyn_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/include

%if %{with prof}
%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSprimitive-%{version}-*_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Control/Monad/Primitive.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Primitive/Internal/*.p_hi
%endif

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-primitive.git;a=log;h=master

* Sat Mar 19 2022 Jan Rękorajski <baggins@pld-linux.org> 5091a4f
- rebuild with ghc 8.10.7

* Sun May 24 2020 Jan Rękorajski <baggins@pld-linux.org> aad8fce
- up to 0.7.0.1

* Sun Dec 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 6489c1e
- complete ghc dependencies list

* Wed Dec 11 2013 Jakub Bogusz <qboosh@pld-linux.org> b6be990
- package LICENSE

* Wed Dec 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 263ac12
- updated to 0.5.1.0
- unified, added -prof package

* Sat Mar 16 2013 Jan Palus <jan.palus@gmail.com> 469fdb4
- new

